ScXMLEvaluator(3)

NAME
ScXMLEvaluator - defines an interface for profile-dependent evaluators.

SYNOPSIS

#include <Inventor/scxml/ScXMLEvaluator.h>

Inherits ScXMLObject.

Inherited by ScXMLCoinEvaluator, ScXMLECMAScriptEvaluator, ScXMLMinimumEvaluator, and ScXMLXPathEvaluator.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setStateMachine (ScXMLStateMachine *sm)
ScXMLStateMachine * getStateMachine (void) const
virtual ScXMLDataObj * evaluate (const char *expression) const =0
virtual SbBool setAtLocation (const char *location, ScXMLDataObj *obj)=0
virtual ScXMLDataObj * locate (const char *location) const =0
virtual void clearTemporaryVariables (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

defines an interface for profile-dependent evaluators.

Since
    Coin 3.1

Member Function Documentation

  virtual SoType ScXMLEvaluator::getTypeId (void) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLObject.

Implemented in ScXMLCoinEvaluator, ScXMLECMAScriptEvaluator, ScXMLMinimumEvaluator, and ScXMLXPathEvaluator.

  void ScXMLEvaluator::setStateMachine (ScXMLStateMachine * sm) [virtual]
Override to perform actions when installed on a state machine.

Reimplemented in ScXMLMinimumEvaluator, and ScXMLCoinEvaluator.

  ScXMLDataObj * ScXMLEvaluator::evaluate (const char * expression) const [pure virtual]

Implemented in ScXMLMinimumEvaluator.

  virtual SbBool ScXMLEvaluator::setAtLocation (const char * location, ScXMLDataObj * obj) [pure virtual]

Implemented in ScXMLMinimumEvaluator.

  ScXMLDataObj * ScXMLEvaluator::locate (const char * location) const [pure virtual]

Implemented in ScXMLMinimumEvaluator.

  void ScXMLEvaluator::clearTemporaryVariables (void) [virtual]
Does nothing - overridden in derived classes.

The intention of this function is to clear out temporary variables that have the scope of only one event being processed by the scxml state machine.

Reimplemented in ScXMLCoinEvaluator, and ScXMLMinimumEvaluator.

Author

Generated automatically by Doxygen for Coin from the source code.